PINS_AF = (
  ('PA0', (1, 'TIM2_CH1'), (2, 'TIM5_CH1'), (3, 'TIM8_ETR'), (7, 'USART2_CTS'), (8, 'UART4_TX'), (14, 'TIM2_ETR'), ),
  ('PA1', (1, 'TIM2_CH2'), (2, 'TIM5_CH2'), (8, 'UART4_RX'), (14, 'TIM15_CH1N'), ),
  ('PA2', (1, 'TIM2_CH3'), (2, 'TIM5_CH3'), (7, 'USART2_TX'), (14, 'TIM15_CH1'), ),
  ('PA3', (1, 'TIM2_CH4'), (2, 'TIM5_CH4'), (7, 'USART2_RX'), (14, 'TIM15_CH2'), ),
  ('PA4', (5, 'SPI1_NSS'), (6, 'SPI3_NSS'), (7, 'USART2_CK'), ),
  ('PA5', (1, 'TIM2_CH1'), (2, 'TIM2_ETR'), (3, 'TIM8_CH1N'), (5, 'SPI1_SCK'), ),
  ('PA6', (1, 'TIM1_BKIN'), (2, 'TIM3_CH1'), (3, 'TIM8_BKIN'), (5, 'SPI1_MISO'), (7, 'USART3_CTS'), (14, 'TIM16_CH1'), ),
  ('PA7', (1, 'TIM1_CH1N'), (2, 'TIM3_CH2'), (3, 'TIM8_CH1N'), (5, 'SPI1_MOSI'), (14, 'TIM17_CH1'), ),
  ('PA8', (1, 'TIM1_CH1'), (7, 'USART1_CK'), ),
  ('PA9', (1, 'TIM1_CH2'), (7, 'USART1_TX'), (14, 'TIM15_BKIN'), ),
  ('PA10', (1, 'TIM1_CH3'), (7, 'USART1_RX'), (14, 'TIM17_BKIN'), ),
  ('PA11', (1, 'TIM1_CH4'), (7, 'USART1_CTS'), ),
  ('PA12', (1, 'TIM1_ETR'), ),
  ('PA13', ),
  ('PA14', ),
  ('PA15', (1, 'TIM2_CH1'), (2, 'TIM2_ETR'), (5, 'SPI1_NSS'), (6, 'SPI3_NSS'), ),
  ('PB0', (1, 'TIM1_CH2N'), (2, 'TIM3_CH3'), (3, 'TIM8_CH2N'), (7, 'USART3_CK'), ),
  ('PB1', (1, 'TIM1_CH3N'), (2, 'TIM3_CH4'), (3, 'TIM8_CH3N'), ),
  ('PB2', ),
  ('PB3', (1, 'TIM2_CH2'), (5, 'SPI1_SCK'), (6, 'SPI3_SCK'), ),
  ('PB4', (2, 'TIM3_CH1'), (5, 'SPI1_MISO'), (6, 'SPI3_MISO'), (7, 'USART1_CTS'), (14, 'TIM17_BKIN'), ),
  ('PB5', (2, 'TIM3_CH2'), (5, 'SPI1_MOSI'), (6, 'SPI3_MOSI'), (7, 'USART1_CK'), (8, 'UART5_CTS'), (14, 'TIM16_BKIN'), ),
  ('PB6', (2, 'TIM4_CH1'), (4, 'I2C1_SCL'), (7, 'USART1_TX'), (14, 'TIM16_CH1N'), ),
  ('PB7', (2, 'TIM4_CH2'), (3, 'TIM8_BKIN'), (4, 'I2C1_SDA'), (7, 'USART1_RX'), (8, 'UART4_CTS'), (14, 'TIM17_CH1N'), ),
  ('PB8', (2, 'TIM4_CH3'), (4, 'I2C1_SCL'), (14, 'TIM16_CH1'), ),
  ('PB9', (2, 'TIM4_CH4'), (4, 'I2C1_SDA'), (5, 'SPI2_NSS'), (14, 'TIM17_CH1'), ),
  ('PB10', (1, 'TIM2_CH3'), (4, 'I2C2_SCL'), (5, 'SPI2_SCK'), (7, 'USART3_TX'), ),
  ('PB11', (1, 'TIM2_CH4'), (4, 'I2C2_SDA'), (7, 'USART3_RX'), ),
  ('PB12', (1, 'TIM1_BKIN'), (5, 'SPI2_NSS'), (7, 'USART3_CK'), (14, 'TIM15_BKIN'), ),
  ('PB13', (1, 'TIM1_CH1N'), (4, 'I2C2_SCL'), (5, 'SPI2_SCK'), (7, 'USART3_CTS'), (14, 'TIM15_CH1N'), ),
  ('PB14', (1, 'TIM1_CH2N'), (3, 'TIM8_CH2N'), (4, 'I2C2_SDA'), (5, 'SPI2_MISO'), (14, 'TIM15_CH1'), ),
  ('PB15', (1, 'TIM1_CH3N'), (3, 'TIM8_CH3N'), (5, 'SPI2_MOSI'), (14, 'TIM15_CH2'), ),
  ('PC0', (4, 'I2C3_SCL'), ),
  ('PC1', (4, 'I2C3_SDA'), ),
  ('PC2', (5, 'SPI2_MISO'), ),
  ('PC3', (5, 'SPI2_MOSI'), ),
  ('PC4', (7, 'USART3_TX'), ),
  ('PC5', (7, 'USART3_RX'), ),
  ('PC6', (2, 'TIM3_CH1'), (3, 'TIM8_CH1'), ),
  ('PC7', (2, 'TIM3_CH2'), (3, 'TIM8_CH2'), ),
  ('PC8', (2, 'TIM3_CH3'), (3, 'TIM8_CH3'), (12, 'SDMMC1_D0'), ),
  ('PC9', (2, 'TIM3_CH4'), (3, 'TIM8_CH4'), (12, 'SDMMC1_D1'), ),
  ('PC10', (6, 'SPI3_SCK'), (7, 'USART3_TX'), (8, 'UART4_TX'), (12, 'SDMMC1_D2'), ),
  ('PC11', (6, 'SPI3_MISO'), (7, 'USART3_RX'), (8, 'UART4_RX'), (12, 'SDMMC1_D3'), ),
  ('PC12', (6, 'SPI3_MOSI'), (7, 'USART3_CK'), (8, 'UART5_TX'), (12, 'SDMMC1_CK'), ),
  ('PC13', ),
  ('PC14', ),
  ('PC15', ),
  ('PD0', (5, 'SPI2_NSS'), ),
  ('PD1', (5, 'SPI2_SCK'), ),
  ('PD2', (2, 'TIM3_ETR'), (8, 'UART5_RX'), (12, 'SDMMC1_CMD'), ),
  ('PD3', (5, 'SPI2_MISO'), (7, 'USART2_CTS'), ),
  ('PD4', (5, 'SPI2_MOSI'), ),
  ('PD5', (7, 'USART2_TX'), ),
  ('PD6', (7, 'USART2_RX'), ),
  ('PD7', (7, 'USART2_CK'), ),
  ('PD8', (7, 'USART3_TX'), ),
  ('PD9', (7, 'USART3_RX'), ),
  ('PD10', (7, 'USART3_CK'), ),
  ('PD11', (7, 'USART3_CTS'), ),
  ('PD12', (2, 'TIM4_CH1'), ),
  ('PD13', (2, 'TIM4_CH2'), ),
  ('PD14', (2, 'TIM4_CH3'), ),
  ('PD15', (2, 'TIM4_CH4'), ),
  ('PE0', (2, 'TIM4_ETR'), (14, 'TIM16_CH1'), ),
  ('PE1', (14, 'TIM17_CH1'), ),
  ('PE2', (2, 'TIM3_ETR'), ),
  ('PE3', (2, 'TIM3_CH1'), ),
  ('PE4', (2, 'TIM3_CH2'), ),
  ('PE5', (2, 'TIM3_CH3'), ),
  ('PE6', (2, 'TIM3_CH4'), ),
  ('PE7', (1, 'TIM1_ETR'), ),
  ('PE8', (1, 'TIM1_CH1N'), ),
  ('PE9', (1, 'TIM1_CH1'), ),
  ('PE10', (1, 'TIM1_CH2N'), ),
  ('PE11', (1, 'TIM1_CH2'), ),
  ('PE12', (1, 'TIM1_CH3N'), (5, 'SPI1_NSS'), ),
  ('PE13', (1, 'TIM1_CH3'), (5, 'SPI1_SCK'), ),
  ('PE14', (1, 'TIM1_CH4'), (5, 'SPI1_MISO'), ),
  ('PE15', (1, 'TIM1_BKIN'), (5, 'SPI1_MOSI'), ),
  ('PF0', (4, 'I2C2_SDA'), ),
  ('PF1', (4, 'I2C2_SCL'), ),
  ('PF2', ),
  ('PF3', ),
  ('PF4', ),
  ('PF5', ),
  ('PF6', (1, 'TIM5_ETR'), (2, 'TIM5_CH1'), ),
  ('PF7', (2, 'TIM5_CH2'), ),
  ('PF8', (2, 'TIM5_CH3'), ),
  ('PF9', (2, 'TIM5_CH4'), (14, 'TIM15_CH1'), ),
  ('PF10', (14, 'TIM15_CH2'), ),
  ('PF11', ),
  ('PF12', ),
  ('PF13', ),
  ('PF14', ),
  ('PF15', ),
  ('PG0', ),
  ('PG1', ),
  ('PG2', (5, 'SPI1_SCK'), ),
  ('PG3', (5, 'SPI1_MISO'), ),
  ('PG4', (5, 'SPI1_MOSI'), ),
  ('PG5', (5, 'SPI1_NSS'), ),
  ('PG6', ),
  ('PG7', (4, 'I2C3_SCL'), ),
  ('PG8', (4, 'I2C3_SDA'), ),
  ('PG9', (6, 'SPI3_SCK'), (7, 'USART1_TX'), (14, 'TIM15_CH1N'), ),
  ('PG10', (6, 'SPI3_MISO'), (7, 'USART1_RX'), (14, 'TIM15_CH1'), ),
  ('PG11', (6, 'SPI3_MOSI'), (7, 'USART1_CTS'), (14, 'TIM15_CH2'), ),
  ('PG12', (6, 'SPI3_NSS'), ),
  ('PG13', (4, 'I2C1_SDA'), (7, 'USART1_CK'), ),
  ('PG14', (4, 'I2C1_SCL'), ),
  ('PG15', ),
  ('PH0', ),
  ('PH1', ),
)
